import React from 'react'
import { render, screen } from '@testing-library/react'
import { unityTheme } from '@ntpkunity/controls'
import { ResetPasswordComponent } from './resetPasswordComponent'

test('renders learn react link', () => {
  const [response, setResponse] = React.useState<any>(undefined)

  render(<ResetPasswordComponent
    setResponse = { setResponse }
    nextScreenUrl = { 'http://localhost:3000/' }
    theme = { unityTheme }
    userId = { 16 }
    validateUrl = { 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMSwiZW1haWwiOiJ0YWxoYW1vYmluMzEzQGdtYWlsLmNvbSIsImtleSI6InZhaG92cGJlIn0.AwvSYp6Al9NG1mOASxLbDh-Cn9CODJQgjTOrUrs7kII' }
    heading = 'Reset Password?'
    />)
  const linkElement = screen.getByText(/resetPassword Component/)
  expect(linkElement).toBeInTheDocument()
})
